org.apache.maven.artifact.transform

## Class LatestArtifactTransformation

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.artifact.transform.AbstractVersionTransformation
    - - org.apache.maven.artifact.transform.LatestArtifactTransformation

- All Implemented Interfaces:
    ArtifactTransformation

      public class LatestArtifactTransformation
      extends AbstractVersionTransformation

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.artifact.transform.AbstractVersionTransformation

      `repositoryMetadataManager, wagonManager`

    - ### Fields inherited from interface org.apache.maven.artifact.transform.ArtifactTransformation

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LatestArtifactTransformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `constructVersion(Versioning versioning, java.lang.String baseVersion)`
    `void` | `transformForDeployment(Artifact artifact, ArtifactRepository remoteRepository, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for distributing toa remote repository.
    `void` | `transformForInstall(Artifact artifact, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for locating in the local repository.
    `void` | `transformForResolve(Artifact artifact, java.util.List<ArtifactRepository> remoteRepositories, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for locating in the remote repository.

    - ### Methods inherited from class org.apache.maven.artifact.transform.AbstractVersionTransformation

      `resolveVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LatestArtifactTransformation

          public LatestArtifactTransformation()

  - ### Method Detail

    - #### transformForResolve

          public void transformForResolve(Artifact artifact,
                                 java.util.List<ArtifactRepository> remoteRepositories,
                                 ArtifactRepository localRepository)
                                   throws ArtifactResolutionException,
                                          ArtifactNotFoundException

      Description copied from interface: `ArtifactTransformation`
      Take in a artifact and return the transformed artifact for locating in the remote repository. If no transformation has occured the original artifact is returned.
      Parameters:
        `artifact` - Artifact to be transformed.
        `remoteRepositories` - the repositories to check
        `localRepository` - the local repository
      Throws:
        `ArtifactResolutionException`
        `ArtifactNotFoundException`

    - #### transformForInstall

          public void transformForInstall(Artifact artifact,
                                 ArtifactRepository localRepository)

      Description copied from interface: `ArtifactTransformation`
      Take in a artifact and return the transformed artifact for locating in the local repository. If no transformation has occured the original artifact is returned.
      Parameters:
        `artifact` - Artifact to be transformed.
        `localRepository` - the local repository it will be stored in

    - #### transformForDeployment

          public void transformForDeployment(Artifact artifact,
                                    ArtifactRepository remoteRepository,
                                    ArtifactRepository localRepository)

      Description copied from interface: `ArtifactTransformation`
      Take in a artifact and return the transformed artifact for distributing toa remote repository. If no transformation has occured the original artifact is returned.
      Parameters:
        `artifact` - Artifact to be transformed.
        `remoteRepository` - the repository to deploy to
        `localRepository` - the local repository

    - #### constructVersion

          protected java.lang.String constructVersion(Versioning versioning,
                                          java.lang.String baseVersion)

      Specified by:
        `constructVersion` in class `AbstractVersionTransformation`